Bug 53115 - update of system using ext2 fails
update of system using ext2 fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-03 17:55 EDT by Ulrich Drepper
Modified: 2007-04-18 12:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-14 12:24:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2001-09-03 17:55:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3+) Gecko/20010901

Description of problem:
This is actually for RC2 (fairfax but there is no category for it)

When trying to upgrade a system which runs RC1 to RC2 using the CDROMs
anaconda complains that it cannot mount any partition.  The partitions use
ext3.  When trying this from the text console mounting works if it is done
as ext2.  ext3 support seems to be missing completely.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Install RC1 and use ext3 for all partitions
2.Upgrade using RC2
3.
	

Actual Results:  Dialogs saying that certain partitions cannot be mounted.

Expected Results:  Mount the partition even if they are ext3.

Additional info:
Comment 1 Eugene Kanter 2001-09-03 20:30:05 EDT
my system 
$ df

Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/sda5              3558992   1738408   1639792  52% /
/dev/sda2                27942      3051     23448  12% /boot
/dev/sdb1              4371072   2778912   1370116  67% /home
/dev/sdd1              8744304   6547664   1930124  78% /mnt/dsk
/dev/sdc1              8736544   8027112    620676  93% /vmware

was updated from roswell to RC2 without any problems. root partition
was ext3, the rest - ext2. I selected convert to ext3 /boot during the update.
Comment 2 Chris Ricker 2001-09-03 21:17:12 EDT
I upgraded RC1 to RC2.  Filesystem layout:

/dev/hde6 on / type ext3 (rw)
none on /proc type proc (rw)
usbdevfs on /proc/bus/usb type usbdevfs (rw)
/dev/hde1 on /boot type ext3 (rw)
/dev/hde8 on /build type ext3 (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/hde13 on /export type ext3 (rw)
/dev/hde12 on /home type ext3 (rw)
/dev/hde7 on /opt type ext3 (rw)
none on /dev/shm type tmpfs (rw)
/dev/hdh1 on /scratch type ext3 (rw)
/dev/hde10 on /tmp type ext3 (rw)
/dev/hde11 on /usr type ext3 (rw)
/dev/hde9 on /var type ext3 (rw)
Comment 3 Michael Fulbright 2001-09-04 14:35:10 EDT
Jeremy please look into this.
Comment 4 Jeremy Katz 2001-09-04 15:13:05 EDT
This has worked also in lots of testing... if it didn't look like the module was
loaded on tty2, are you sure you were using the right boot disk?
Comment 5 Brent Fox 2001-09-14 10:45:20 EDT
Any more info here?
Comment 6 Brent Fox 2001-09-24 12:17:46 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.